#ifndef _IMilleTool_H
#define _IMilleTool_H 1

#include "Plane.h"
#include <vector>
#include "Track.h"


/** Abstract interface to Millipede tool */

class IMilleTool {

 public:

  virtual bool initialize(const Planes& geom) = 0;

  virtual bool addTrack(Track* trueTrack, 
                        std::vector<double> m_offsetX, 
                        std::vector<double> m_offsetY, 
			std::vector<double> m_offsetZ, 
			std::vector<double> m_offsetA, 
			std::vector<double> m_offsetB, 
			std::vector<double> m_offsetC, 
                        std::vector<double>& smearX,
                        std::vector<double>& smearY) = 0;

  virtual bool globalFit() = 0 ;

  virtual const std::vector<double>& parameters() const = 0;

  virtual const std::vector<double>& errors() const = 0;
 
  virtual const std::vector<double>& pulls() const = 0;

  virtual void reset()  = 0;

};

#endif
